%global modulename gauge

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-gauge
Version:        2.7.4
Release:        1%{?dist}
Summary:        A terminal based horizontal guage

License:        ISC
URL:            https://github.com/iarna/gauge
Source0:        https://registry.npmjs.org/gauge/-/gauge-2.7.4.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(aproba) >= 1.0.3 with npmlib(aproba) < 2.0.0))
BuildRequires:  ((npmlib(console-control-strings) >= 1.0.0 with npmlib(console-control-strings) < 2.0.0))
BuildRequires:  ((npmlib(has-unicode) >= 2.0.0 with npmlib(has-unicode) < 3.0.0))
BuildRequires:  ((npmlib(object-assign) >= 4.1.0 with npmlib(object-assign) < 5.0.0))
BuildRequires:  ((npmlib(signal-exit) >= 3.0.0 with npmlib(signal-exit) < 4.0.0))
BuildRequires:  ((npmlib(string-width) >= 1.0.1 with npmlib(string-width) < 2.0.0))
BuildRequires:  ((npmlib(strip-ansi) >= 3.0.1 with npmlib(strip-ansi) < 4.0.0))
BuildRequires:  ((npmlib(wide-align) >= 1.1.0 with npmlib(wide-align) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
A terminal based horizontal guage

%package 2.7.4
Summary:        A terminal based horizontal guage


%description 2.7.4
A terminal based horizontal guage

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr base-theme.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr error.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr has-color.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr plumbing.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr process.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr progress-bar.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr render-template.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr set-immediate.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr set-interval.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr spin.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr template-item.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr theme-set.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr themes.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr wide-truncate.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.7.4
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 2.7.4-1
- Package automatically generated by npm2srpm
